Modify question

Modifies question settings.

Parameters:

  • survey_id: form ID
  • question_id: question ID
  • with_slugs: replace numeric question and answer option IDs with slugs (default: numeric IDs)

Request

PATCH

https://api.forms.yandex.net/v1/surveys/{survey_id}/questions/{question_id}

Path parameters

Name

Description

question_id

Type: integer

survey_id

Type: string

Pattern: ^[a-fA-F\d]{24}$

Example: ``

Query parameters

Name

Description

with_slugs

Type: boolean

Default: false

Body

application/json
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "string",
  "initial": "example",
  "multiline": true,
  "hint_source": {
    "name": "example",
    "params": [
      {}
    ]
  },
  "validators": [
    {
      "type": "required"
    }
  ],
  "has_quiz": true,
  "quiz_items": [
    {
      "label": "example",
      "correct": true,
      "scores": 0.5
    }
  ]
}
Any of 12 types
  • QuestionStringIn

    Type: QuestionStringIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "string",
      "initial": "example",
      "multiline": true,
      "hint_source": {
        "name": "example",
        "params": [
          {
            "type": "example",
            "value": "example"
          }
        ]
      },
      "validators": [
        {
          "type": "required"
        }
      ],
      "has_quiz": true,
      "quiz_items": [
        {
          "label": "example",
          "correct": true,
          "scores": 0.5
        }
      ]
    }
    
  • QuestionBooleanIn

    Type: QuestionBooleanIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "boolean",
      "initial": true,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionIntegerIn

    Type: QuestionIntegerIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "integer",
      "initial": 0,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionFileIn

    Type: QuestionFileIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "file",
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionCommentIn

    Type: QuestionCommentIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "comment",
      "header": true
    }
    
  • QuestionDateIn

    Type: QuestionDateIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "date",
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionDateRangeIn

    Type: QuestionDateRangeIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "daterange",
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionPaymentIn

    Type: QuestionPaymentIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "payment",
      "fixed": true,
      "account_id": "example",
      "initial": 0,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionEnumIn

    Type: QuestionEnumIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "enum",
      "widget": "radio",
      "items": [
        {
          "id": 0,
          "slug": "example",
          "label": "",
          "hidden": true,
          "image": null,
          "correct": true,
          "scores": 0.5
        }
      ],
      "initial": [
        null
      ],
      "modify_choices": "",
      "validators": [
        {
          "type": "required"
        }
      ],
      "show_first": true,
      "show_suggest": true,
      "has_quiz": true
    }
    
  • QuestionSuggestIn

    Type: QuestionSuggestIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "suggest",
      "data_source": {
        "name": "example",
        "params": [
          {
            "type": "example",
            "value": "example"
          }
        ]
      },
      "multichoice": true,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionMatrixIn

    Type: QuestionMatrixIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "matrix",
      "rows": [
        {
          "id": 0,
          "slug": "example",
          "label": "example"
        }
      ],
      "columns": [
        null
      ],
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionSeriesIn

    Type: QuestionSeriesIn

    Example
    {
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "hidden": true,
      "slug": "example",
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "type": "series"
    }
    

ImageIn

Name

Description

id

Type: integer

Image ID

links

Type: Links

[additional]

Type: string<uri>

Min length: 1

Max length: 2083

Example: https://example.com

List of links to different image sizes

Example
{}

name

Type: string

Original image file name

Example: example

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

QuestionDataSourceParam

Name

Description

type

Type: string

Parameter type

Example: example

value

Type: string

Parameter value

Example: example

Example
{
  "type": "example",
  "value": "example"
}

QuestionHintSource

Name

Description

name

Type: string

Name for the data source

Example: example

params

Type: QuestionDataSourceParam[]

Parameters for the data source

Example
[
  {
    "type": "example",
    "value": "example"
  }
]
Example
{
  "name": "example",
  "params": [
    {
      "type": "example",
      "value": "example"
    }
  ]
}

ValidationRequiredOut

Name

Description

type

Type: string

Required for filling

Const: required

Example: example

Example
{
  "type": "required"
}

ValidationMinStringOut

Name

Description

type

Type: string

Minimum number of characters

Const: min

Example: example

value

Type: integer

Validation value

Example
{
  "type": "min",
  "value": 0
}

ValidationMaxStringOut

Name

Description

type

Type: string

Maximum number of characters

Const: max

Example: example

value

Type: integer

Validation value

Example
{
  "type": "max",
  "value": 0
}

ValidationEmailStringOut

Name

Description

type

Type: string

Email validation

Const: email

Example: example

Example
{
  "type": "email"
}

ValidationUrlStringOut

Name

Description

type

Type: string

URL validation

Const: url

Example: example

Example
{
  "type": "url"
}

ValidationPhoneStringOut

Name

Description

type

Type: string

Phone number validation

Const: phone

Example: example

Example
{
  "type": "phone"
}

ValidationInnStringOut

Name

Description

type

Type: string

TIN (INN) validation

Const: inn

Example: example

Example
{
  "type": "inn"
}

ValidationDecimalStringOut

Name

Description

type

Type: string

Decimal number validation

Const: decimal

Example: example

Example
{
  "type": "decimal"
}

ValidationRussianStringOut

Name

Description

type

Type: string

Russian letters validation

Const: russian

Example: example

Example
{
  "type": "russian"
}

ValidationRegexpStringOut

Name

Description

type

Type: string

Regular expression validation

Const: regexp

Example: example

value

Type: string

Validation value

Example: example

Example
{
  "type": "regexp",
  "value": "example"
}

ValidationExternalOut

Name

Description

type

Type: string

Validation via external endpoint

Const: external

Example: example

Example
{
  "type": "external"
}

QuestionQuizItemIn

Name

Description

label

Type: string

Answer option text

Example: example

scores

Type: number

Points for the answer

correct

Type: boolean

Correct answer option flag

Example
{
  "label": "example",
  "correct": true,
  "scores": 0.5
}

QuestionStringIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

has_quiz

Type: boolean

Quiz presence flag

hidden

Type: boolean

Hidden question flag

hint_source

All of 1 type
  • QuestionHintSource

    Type: QuestionHintSource

    Example
    {
      "name": "example",
      "params": [
        {
          "type": "example",
          "value": "example"
        }
      ]
    }
    

Question hint source

Example
{
  "name": "example",
  "params": [
    {
      "type": "example",
      "value": "example"
    }
  ]
}

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

initial

Type: string

Initial value

Example: example

label

Type: string

Question name

Max length: 8000

Example: example

multiline

Type: boolean

Multiline text flag

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

quiz_items

Type: QuestionQuizItemIn[]

List of quiz answer options

Example
[
  {
    "label": "example",
    "correct": true,
    "scores": 0.5
  }
]

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: string

Const: string

validators

Type: array
Any of 11 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "string",
  "initial": "example",
  "multiline": true,
  "hint_source": {
    "name": "example",
    "params": [
      {
        "type": "example",
        "value": "example"
      }
    ]
  },
  "validators": [
    {
      "type": "required"
    }
  ],
  "has_quiz": true,
  "quiz_items": [
    {
      "label": "example",
      "correct": true,
      "scores": 0.5
    }
  ]
}

QuestionBooleanIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

initial

Type: boolean

Initial value

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: boolean

Const: boolean

validators

Type: array
Any of 2 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "boolean",
  "initial": true,
  "validators": [
    {
      "type": "required"
    }
  ]
}

ValidationMinIntegerOut

Name

Description

type

Type: string

Minimum value

Const: min

Example: example

value

Type: integer

Validation value

Example
{
  "type": "min",
  "value": 0
}

ValidationMaxIntegerOut

Name

Description

type

Type: string

Maximum value

Const: max

Example: example

value

Type: integer

Validation value

Example
{
  "type": "max",
  "value": 0
}

QuestionIntegerIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

initial

Type: integer

Initial value

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: integer

Const: integer

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "integer",
  "initial": 0,
  "validators": [
    {
      "type": "required"
    }
  ]
}

ValidationMaxSizeFileOut

Name

Description

type

Type: string

Maximum file size, MB

Const: size

Example: example

value

Type: integer

Validation value

Max value: 20

Example
{
  "type": "size",
  "value": 20
}

ValidationMaxCountFileOut

Name

Description

type

Type: string

Maximum number of files

Const: count

Example: example

value

Type: integer

Validation value

Max value: 20

Example
{
  "type": "count",
  "value": 20
}

QuestionFileIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: file

Const: file

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "file",
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionCommentIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

header

Type: boolean

Header flag

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: comment

Const: comment

Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "comment",
  "header": true
}

ValidationMinDateOut

Name

Description

type

Type: string

Minimum date

Const: min

Example: example

value

Type: string<date>

Validation value

Example: 2025-01-01

Example
{
  "type": "min",
  "value": "2025-01-01"
}

ValidationMaxDateOut

Name

Description

type

Type: string

Maximum date

Const: max

Example: example

value

Type: string<date>

Validation value

Example: 2025-01-01

Example
{
  "type": "max",
  "value": "2025-01-01"
}

QuestionDateIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: date

Const: date

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "date",
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionDateRangeIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: daterange

Const: daterange

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "daterange",
  "validators": [
    {
      "type": "required"
    }
  ]
}

ValidationMinPaymentOut

Name

Description

type

Type: string

Minimum amount

Const: min

Example: example

value

Type: integer

Validation value

Example
{
  "type": "min",
  "value": 0
}

ValidationMaxPaymentOut

Name

Description

type

Type: string

Maximum amount

Const: max

Example: example

value

Type: integer

Validation value

Example
{
  "type": "max",
  "value": 0
}

QuestionPaymentIn

Name

Description

account_id

Type: string

Wallet number for payment

Example: example

comment

Type: string

Question hint

Max length: 1000

Example: example

fixed

Type: boolean

Allow changing the payment amount

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

initial

Type: integer

Initial value

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: payment

Const: payment

validators

Type: array
Any of 3 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "payment",
  "fixed": true,
  "account_id": "example",
  "initial": 0,
  "validators": [
    {
      "type": "required"
    }
  ]
}

WidgetType

An enumeration.

Type: string

Enum: radio, checkbox, dropdown, stars, onerow

QuestionEnumItemIn

Name

Description

correct

Type: boolean

Correct answer option flag

hidden

Type: boolean

Hidden answer option flag

id

Type: integer

Answer option ID

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Answer option image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Answer option text

Default: ``

scores

Type: number

Points for correct answer

slug

Type: string

Answer option slug (defaults to ID)

Example: example

Example
{
  "id": 0,
  "slug": "example",
  "label": "",
  "hidden": true,
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "correct": true,
  "scores": 0.5
}

QuestionModifyChoicesType

An enumeration.

Type: string

Enum: ``, natural, sort, shuffle

ValidationEnumSingleOut

Name

Description

type

Type: string

Value must be single

Const: single

Example: example

Example
{
  "type": "single"
}

QuestionEnumIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

has_quiz

Type: boolean

Quiz presence flag

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

initial

Type: QuestionEnumItemIn[]

Initial value

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "",
    "hidden": true,
    "image": {
      "id": 0,
      "links": {},
      "name": "example"
    },
    "correct": true,
    "scores": 0.5
  }
]

items

Type: QuestionEnumItemIn[]

List of items

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "",
    "hidden": true,
    "image": {
      "id": 0,
      "links": {},
      "name": "example"
    },
    "correct": true,
    "scores": 0.5
  }
]

label

Type: string

Question name

Max length: 8000

Example: example

modify_choices

All of 1 type

Item sort type

Example: ``

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

show_first

Type: boolean

Whether to show the first value (for dropdown list)

show_suggest

Type: boolean

Show suggestions for options

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: enum

Const: enum

validators

Type: array
Any of 3 types

List of validators

Example
[
  {
    "type": "required"
  }
]

widget

All of 1 type
  • WidgetType

    Type: WidgetType

    An enumeration.

    Enum: radio, checkbox, dropdown, stars, onerow

Question display type

Default: radio

Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "enum",
  "widget": "radio",
  "items": [
    {
      "id": 0,
      "slug": "example",
      "label": "",
      "hidden": true,
      "image": null,
      "correct": true,
      "scores": 0.5
    }
  ],
  "initial": [
    null
  ],
  "modify_choices": "",
  "validators": [
    {
      "type": "required"
    }
  ],
  "show_first": true,
  "show_suggest": true,
  "has_quiz": true
}

QuestionDataSource

Name

Description

name

Type: string

Data source name

Example: example

params

Type: QuestionDataSourceParam[]

Parameters for the data source

Example
[
  {
    "type": "example",
    "value": "example"
  }
]
Example
{
  "name": "example",
  "params": [
    {
      "type": "example",
      "value": "example"
    }
  ]
}

QuestionSuggestIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

data_source

All of 1 type
  • QuestionDataSource

    Type: QuestionDataSource

    Example
    {
      "name": "example",
      "params": [
        {
          "type": "example",
          "value": "example"
        }
      ]
    }
    

Data source

Example
{
  "name": "example",
  "params": [
    {
      "type": "example",
      "value": "example"
    }
  ]
}

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Question name

Max length: 8000

Example: example

multichoice

Type: boolean

Enable multiple selection

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: suggest

Const: suggest

validators

Type: array
Any of 2 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "suggest",
  "data_source": {
    "name": "example",
    "params": [
      {
        "type": "example",
        "value": "example"
      }
    ]
  },
  "multichoice": true,
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionMatrixRowIn

Name

Description

id

Type: integer

Scale rating element ID

label

Type: string

Scale rating element text

Example: example

slug

Type: string

Scale rating element slug

Example: example

Example
{
  "id": 0,
  "slug": "example",
  "label": "example"
}

QuestionMatrixIn

Name

Description

columns

Type: QuestionMatrixRowIn[]

List of columns

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "example"
  }
]

comment

Type: string

Question hint

Max length: 1000

Example: example

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

rows

Type: QuestionMatrixRowIn[]

List of rows

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "example"
  }
]

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: matrix

Const: matrix

validators

Type: array
Any of 2 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "matrix",
  "rows": [
    {
      "id": 0,
      "slug": "example",
      "label": "example"
    }
  ],
  "columns": [
    null
  ],
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionSeriesIn

Name

Description

comment

Type: string

Question hint

Max length: 1000

Example: example

hidden

Type: boolean

Hidden question flag

image

All of 1 type
  • ImageIn

    Type: ImageIn

    Example
    {
      "id": 0,
      "links": {},
      "name": "example"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example"
}

label

Type: string

Question name

Max length: 8000

Example: example

placeholder

Type: string

Placeholder text for the question

Max length: 1000

Example: example

slug

Type: string

Question slug

Example: example

type

Type: string

Question type

Default: series

Const: series

Example
{
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "hidden": true,
  "slug": "example",
  "image": {
    "id": 0,
    "links": {},
    "name": "example"
  },
  "type": "series"
}

Responses

200 OK

OK

Body

application/json
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        null
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": null
  },
  "type": "string",
  "initial": "example",
  "multiline": true,
  "hint_source": {
    "name": "example",
    "params": [
      null
    ]
  },
  "validators": [
    {}
  ],
  "has_quiz": true,
  "quiz_items": [
    {
      "label": "example",
      "correct": true,
      "scores": 0.5
    }
  ]
}
Any of 2 types
  • QuestionOut

    Type: QuestionOut

    Question data

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {}
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "string",
      "initial": "example",
      "multiline": true,
      "hint_source": {
        "name": "example",
        "params": [
          {}
        ]
      },
      "validators": [
        {
          "type": "required"
        }
      ],
      "has_quiz": true,
      "quiz_items": [
        {
          "label": "example",
          "correct": true,
          "scores": 0.5
        }
      ]
    }
    
  • QuestionSeriesOut

    Type: QuestionSeriesOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "series",
      "items": [
        {
          "id": 0,
          "label": "example",
          "comment": "example",
          "placeholder": "example",
          "slug": "example",
          "hidden": false,
          "conditions": [
            null
          ],
          "image": null,
          "type": "string",
          "initial": "example",
          "multiline": true,
          "hint_source": null,
          "validators": [
            null
          ],
          "has_quiz": true,
          "quiz_items": [
            {}
          ]
        }
      ]
    }
    

OperatorType

An enumeration.

Type: string

Enum: and, or

ConditionItemType

An enumeration.

Type: string

Enum: question, language, origin

ConditionType

An enumeration.

Type: string

Enum: eq, neq, lt, gt

ConditionItemOut

Name

Description

condition

All of 1 type
  • ConditionType

    Type: ConditionType

    An enumeration.

    Enum: eq, neq, lt, gt

Comparison operator

Example: eq

operator

All of 1 type
  • OperatorType

    Type: OperatorType

    An enumeration.

    Enum: and, or

Operator between conditions

Example: and

type

All of 1 type
  • ConditionItemType

    Type: ConditionItemType

    An enumeration.

    Enum: question, language, origin

Condition type

Example: question

question

Type: string

Question slug

Example: example

value

Type: string

Condition value

Max length: 100

Example: example

Example
{
  "operator": "and",
  "type": "question",
  "condition": "eq",
  "question": "example",
  "value": "example"
}

ConditionOut

Name

Description

id

Type: integer

Condition group ID

operator

Type: string

Condition group operator

Example: example

items

Type: ConditionItemOut[]

List of conditions in the group

Example
[
  {
    "operator": "and",
    "type": "question",
    "condition": "eq",
    "question": "example",
    "value": "example"
  }
]
Example
{
  "id": 0,
  "operator": "example",
  "items": [
    {
      "operator": "and",
      "type": "question",
      "condition": "eq",
      "question": "example",
      "value": "example"
    }
  ]
}

FileCheckStatusType

An enumeration.

Type: string

Enum: check, ready, infected, error, deleted

ImageOut

Name

Description

links

Type: Links

[additional]

Type: string<uri>

Min length: 1

Max length: 2083

Example: https://example.com

List of links to different image sizes

Example
{}

check_status

All of 1 type
  • FileCheckStatusType

    Type: FileCheckStatusType

    An enumeration.

    Enum: check, ready, infected, error, deleted

Image upload status

Example: check

id

Type: integer

Image ID

name

Type: string

Original image file name

Example: example

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

QuestionQuizItemOut

Name

Description

correct

Type: boolean

Correct answer option flag

label

Type: string

Answer option text

Example: example

scores

Type: number

Points for the answer

Example
{
  "label": "example",
  "correct": true,
  "scores": 0.5
}

QuestionStringOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

multiline

Type: boolean

Multiline text flag

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

has_quiz

Type: boolean

Test presence flag

hidden

Type: boolean

Hidden question flag

Default: false

hint_source

All of 1 type
  • QuestionHintSource

    Type: QuestionHintSource

    Example
    {
      "name": "example",
      "params": [
        {
          "type": "example",
          "value": "example"
        }
      ]
    }
    

Question hint source

Example
{
  "name": "example",
  "params": [
    {
      "type": "example",
      "value": "example"
    }
  ]
}

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

initial

Type: string

Initial value

Example: example

placeholder

Type: string

Placeholder text for the question

Example: example

quiz_items

Type: QuestionQuizItemOut[]

List of test answer options

Example
[
  {
    "label": "example",
    "correct": true,
    "scores": 0.5
  }
]

type

Type: string

Question type

Default: string

Const: string

validators

Type: array
Any of 11 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "string",
  "initial": "example",
  "multiline": true,
  "hint_source": {
    "name": "example",
    "params": [
      {
        "type": "example",
        "value": "example"
      }
    ]
  },
  "validators": [
    {
      "type": "required"
    }
  ],
  "has_quiz": true,
  "quiz_items": [
    {
      "label": "example",
      "correct": true,
      "scores": 0.5
    }
  ]
}

QuestionBooleanOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

initial

Type: boolean

Initial value

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: boolean

Const: boolean

validators

Type: array
Any of 2 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "boolean",
  "initial": true,
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionIntegerOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

initial

Type: integer

Initial value

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: integer

Const: integer

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "integer",
  "initial": 0,
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionFileOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: file

Const: file

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "file",
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionCommentOut

Name

Description

header

Type: boolean

Header flag

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: comment

Const: comment

Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "comment",
  "header": true
}

QuestionDateOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: date

Const: date

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "date",
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionDateRangeOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: daterange

Const: daterange

validators

Type: array
Any of 4 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "daterange",
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionPaymentOut

Name

Description

account_id

Type: string

Wallet number for payment

Example: example

fixed

Type: boolean

Allow changing the payment amount

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

initial

Type: integer

Initial value

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: payment

Const: payment

validators

Type: array
Any of 3 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "payment",
  "fixed": true,
  "account_id": "example",
  "initial": 0,
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionEnumOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

has_quiz

Type: boolean

Test presence flag

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

initial

Type: QuestionEnumItemIn[]

Initial value

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "",
    "hidden": true,
    "image": {
      "id": 0,
      "links": {},
      "name": "example"
    },
    "correct": true,
    "scores": 0.5
  }
]

items

Type: QuestionEnumItemIn[]

List of items

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "",
    "hidden": true,
    "image": {
      "id": 0,
      "links": {},
      "name": "example"
    },
    "correct": true,
    "scores": 0.5
  }
]

modify_choices

All of 1 type

Item sort type

Example: ``

placeholder

Type: string

Placeholder text for the question

Example: example

show_first

Type: boolean

Whether to show the first value (for dropdown)

type

Type: string

Question type

Default: enum

Const: enum

validators

Type: array
Any of 3 types

List of validators

Example
[
  {
    "type": "required"
  }
]

widget

All of 1 type
  • WidgetType

    Type: WidgetType

    An enumeration.

    Enum: radio, checkbox, dropdown, stars, onerow

Question display type

Default: radio

Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "enum",
  "widget": "radio",
  "items": [
    {
      "id": 0,
      "slug": "example",
      "label": "",
      "hidden": true,
      "image": {
        "id": 0,
        "links": {},
        "name": "example"
      },
      "correct": true,
      "scores": 0.5
    }
  ],
  "initial": [
    null
  ],
  "modify_choices": "",
  "validators": [
    {
      "type": "required"
    }
  ],
  "show_first": true,
  "has_quiz": true
}

QuestionSuggestOut

Name

Description

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

multichoice

Type: boolean

Enable multiple choice

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

data_source

Type: QuestionDataSource

Example
{
  "name": "example",
  "params": [
    {
      "type": "example",
      "value": "example"
    }
  ]
}

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: suggest

Const: suggest

validators

Type: array
Any of 2 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "suggest",
  "data_source": {
    "name": "example",
    "params": [
      {
        "type": "example",
        "value": "example"
      }
    ]
  },
  "multichoice": true,
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionMatrixRowOut

Name

Description

id

Type: integer

Scale evaluation item ID

label

Type: string

Scale evaluation item text

Example: example

slug

Type: string

Scale evaluation item slug

Example: example

Example
{
  "id": 0,
  "slug": "example",
  "label": "example"
}

QuestionMatrixOut

Name

Description

columns

Type: QuestionMatrixRowOut[]

List of columns

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "example"
  }
]

id

Type: integer

Question ID

label

Type: string

Question label

Example: example

rows

Type: QuestionMatrixRowOut[]

List of rows

Example
[
  {
    "id": 0,
    "slug": "example",
    "label": "example"
  }
]

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: matrix

Const: matrix

validators

Type: array
Any of 2 types

List of validators

Example
[
  {
    "type": "required"
  }
]
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "matrix",
  "rows": [
    {
      "id": 0,
      "slug": "example",
      "label": "example"
    }
  ],
  "columns": [
    null
  ],
  "validators": [
    {
      "type": "required"
    }
  ]
}

QuestionOut

Question data

Any of 11 types
  • QuestionStringOut

    Type: QuestionStringOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "string",
      "initial": "example",
      "multiline": true,
      "hint_source": {
        "name": "example",
        "params": [
          {
            "type": "example",
            "value": "example"
          }
        ]
      },
      "validators": [
        {
          "type": "required"
        }
      ],
      "has_quiz": true,
      "quiz_items": [
        {
          "label": "example",
          "correct": true,
          "scores": 0.5
        }
      ]
    }
    
  • QuestionBooleanOut

    Type: QuestionBooleanOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "boolean",
      "initial": true,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionIntegerOut

    Type: QuestionIntegerOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "integer",
      "initial": 0,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionFileOut

    Type: QuestionFileOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "file",
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionCommentOut

    Type: QuestionCommentOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "comment",
      "header": true
    }
    
  • QuestionDateOut

    Type: QuestionDateOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "date",
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionDateRangeOut

    Type: QuestionDateRangeOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "daterange",
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionPaymentOut

    Type: QuestionPaymentOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "payment",
      "fixed": true,
      "account_id": "example",
      "initial": 0,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionEnumOut

    Type: QuestionEnumOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "enum",
      "widget": "radio",
      "items": [
        {
          "id": 0,
          "slug": "example",
          "label": "",
          "hidden": true,
          "image": {
            "id": 0,
            "links": {},
            "name": "example"
          },
          "correct": true,
          "scores": 0.5
        }
      ],
      "initial": [
        null
      ],
      "modify_choices": "",
      "validators": [
        {
          "type": "required"
        }
      ],
      "show_first": true,
      "has_quiz": true
    }
    
  • QuestionSuggestOut

    Type: QuestionSuggestOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "suggest",
      "data_source": {
        "name": "example",
        "params": [
          {
            "type": "example",
            "value": "example"
          }
        ]
      },
      "multichoice": true,
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
  • QuestionMatrixOut

    Type: QuestionMatrixOut

    Example
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        {
          "id": 0,
          "operator": "example",
          "items": [
            {
              "operator": null,
              "type": null,
              "condition": null,
              "question": "example",
              "value": "example"
            }
          ]
        }
      ],
      "image": {
        "id": 0,
        "links": {},
        "name": "example",
        "check_status": "check"
      },
      "type": "matrix",
      "rows": [
        {
          "id": 0,
          "slug": "example",
          "label": "example"
        }
      ],
      "columns": [
        null
      ],
      "validators": [
        {
          "type": "required"
        }
      ]
    }
    
Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {}
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "string",
  "initial": "example",
  "multiline": true,
  "hint_source": {
    "name": "example",
    "params": [
      {}
    ]
  },
  "validators": [
    {
      "type": "required"
    }
  ],
  "has_quiz": true,
  "quiz_items": [
    {
      "label": "example",
      "correct": true,
      "scores": 0.5
    }
  ]
}

QuestionSeriesOut

Name

Description

id

Type: integer

Question ID

items

Type: QuestionOut[]

List of questions in the series

Example
[
  {
    "id": 0,
    "label": "example",
    "comment": "example",
    "placeholder": "example",
    "slug": "example",
    "hidden": false,
    "conditions": [
      {
        "id": 0,
        "operator": "example",
        "items": [
          null
        ]
      }
    ],
    "image": {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": null
    },
    "type": "string",
    "initial": "example",
    "multiline": true,
    "hint_source": {
      "name": "example",
      "params": [
        null
      ]
    },
    "validators": [
      {}
    ],
    "has_quiz": true,
    "quiz_items": [
      {
        "label": "example",
        "correct": true,
        "scores": 0.5
      }
    ]
  }
]

label

Type: string

Question label

Example: example

slug

Type: string

Question slug

Example: example

comment

Type: string

Question hint

Example: example

conditions

Type: ConditionOut[]

Conditions for the question

Example
[
  {
    "id": 0,
    "operator": "example",
    "items": [
      {
        "operator": "and",
        "type": "question",
        "condition": "eq",
        "question": "example",
        "value": "example"
      }
    ]
  }
]

hidden

Type: boolean

Hidden question flag

Default: false

image

All of 1 type
  • ImageOut

    Type: ImageOut

    Example
    {
      "id": 0,
      "links": {},
      "name": "example",
      "check_status": "check"
    }
    

Question image

Example
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

placeholder

Type: string

Placeholder text for the question

Example: example

type

Type: string

Question type

Default: series

Const: series

Example
{
  "id": 0,
  "label": "example",
  "comment": "example",
  "placeholder": "example",
  "slug": "example",
  "hidden": false,
  "conditions": [
    {
      "id": 0,
      "operator": "example",
      "items": [
        {
          "operator": null,
          "type": null,
          "condition": null,
          "question": "example",
          "value": "example"
        }
      ]
    }
  ],
  "image": {
    "id": 0,
    "links": {},
    "name": "example",
    "check_status": "check"
  },
  "type": "series",
  "items": [
    {
      "id": 0,
      "label": "example",
      "comment": "example",
      "placeholder": "example",
      "slug": "example",
      "hidden": false,
      "conditions": [
        null
      ],
      "image": null,
      "type": "string",
      "initial": "example",
      "multiline": true,
      "hint_source": null,
      "validators": [
        null
      ],
      "has_quiz": true,
      "quiz_items": [
        {}
      ]
    }
  ]
}